@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
datetime_t Struct Reference
pico_util » datetime

Structure containing date and time information. More...

`#include <types.h>`

## Data Fields

int16_t | year
| 0..4095
int8_t | month
| 1..12, 1 is January
int8_t | day
| 1..28,29,30,31 depending on month
int8_t | dotw
| 0..6, 0 is Sunday
int8_t | hour
| 0..23
int8_t | min
| 0..59
int8_t | sec
| 0..59

## Detailed Description

Structure containing date and time information.

When setting an RTC alarm, set a field to -1 tells the RTC to not match on this field

The documentation for this struct was generated from the following file:

- include/pico/types.h